# Retrieve a stored email

Event(s) created from sending an email with Mailgun will contain a storage.key to use to retrieve the email.

Endpoint: GET /v3/domains/{domain_name}/messages/{storage_key}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain name that was used to send the email

  - `storage_key` (string, required)
    Storage key from the email's associated events (Example: Accepted/Delivered events storage.key field). Note: Storage keys are available for the duration of your domain's message retention policy.

## Response 200 fields (application/json):

  - `Content-Transfer-Encoding` (string, required)
    The content transfer encoding if enabled

  - `Content-Type` (string, required)
    The content type sent with the message with a possible boundary

  - `From` (string, required)
    The full 'From' email address entry of the email

  - `Message-Id` (string, required)
    The unique identifier of the message as defined by [RFC-2392](https://datatracker.ietf.org/doc/html/rfc2392)

  - `Mime-Version` (string, required)
    The MIME version of the email

  - `Subject` (string, required)
    Subject of the email

  - `To` (string, required)
    The full 'To' email address entries

  - `X-Mailgun-Tag` (string, required)
    The raw tags of the message if provided

  - `sender` (string, required)
    Just the email address from the provided 'From'' field

  - `recipients` (string, required)
    A list of email addresses from the 'To'' field

  - `body-html` (string, required)
    The full HTML body of the full message

  - `body-plain` (string, required)
    The plain text body of the full message

  - `stripped-html` (string, required)
    Only the body of the email in HTML

  - `stripped-text` (string, required)
    Only the body of the email in plain text

  - `stripped-signature` (string, required)
    The signature stripped from the body

  - `message-headers` (array, required)
    The full list of headers of the MIME upon send

  - `X-Mailgun-Template-Name` (string, required)
    The name of the template if one was used

  - `X-Mailgun-Template-Variables` (string, required)
    The variables used in the template if one was used

## Response 400 fields (application/json):

  - `message` (string, required)
    A failure message

## Response 404 fields (application/json):

  - `message` (string, required)
    A failure message


